﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
'#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI

	Private WobbleMenu1 As WobbleMenu
	Private Page1 As B4XView
	Private Page2 As B4XView
	Private Page3 As B4XView
	Private CurrentTab As Int = 0
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	B4XPages.SetTitle(Me, "Wobble Menu")
	
	Page1.LoadLayout("Page1")
	Page2.LoadLayout("Page2")
	Page3.LoadLayout("Page3")
	
	Page1.Visible = False
	Page2.Visible = False
	Page3.Visible = False

	WobbleMenu1.SetTabTextIcon(1,"Page 1", Chr(0xE3D0), xui.CreateMaterialIcons(24))
	WobbleMenu1.SetTabTextIcon(2,"Page 2", Chr(0xE3D1), xui.CreateMaterialIcons(24))
	WobbleMenu1.SetTabTextIcon(3,"Page 3", Chr(0xE3D2), xui.CreateMaterialIcons(24))
	WobbleMenu1.SetCurrentTab(1)
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Sub WobbleMenu1_Tab1Click
	MenuItem(1)
End Sub

Sub WobbleMenu1_Tab2Click
	MenuItem(2)
End Sub

Sub WobbleMenu1_Tab3Click
	MenuItem(3)
End Sub


Private Sub MenuItem(TabId As Int)
	If CurrentTab = TabId Then Return
	Select CurrentTab
		Case 1
			Page1.SetVisibleAnimated(0, False)
		Case 2
			Page2.SetVisibleAnimated(0, False)
		Case 3
			Page3.SetVisibleAnimated(0, False)
	End Select
	Select TabId
		Case 1
			Page1.SetVisibleAnimated(0, True)
		Case 2
			Page2.SetVisibleAnimated(0, True)
		Case 3
			Page3.SetVisibleAnimated(0, True)
	End Select
	CurrentTab = WobbleMenu1.GetCurrentTab
	WobbleMenu1.SetCurrentTab(TabId)
End Sub
